CAIRO-DOCK(1)

NAME
cairo-dock - A dock to launch your programs easily.

SYNOPSIS
cairo-dock [options]

DESCRIPTION
Cairo-Dock is a pretty, light and convenient interface to your desktop, able to replace advantageously your system panel!

It features multi-docks, taskbar, launchers and a lot of useful applets.
Applets can be detached from the dock to act as desktop widgets.
Numerous ready-to-use themes are downloadable in 1 click, and can be easily customized at your convenience.
It can use hardware acceleration (OpenGL) to be very fast and low on CPU.

It is recommended to install the PLUG-INS package ( cairo-dock-plug-ins ) to have acces to more views, dialogs and many plug-ins and applets.

Some screenshots are available :
        http://pics.glx-dock.org

Development site:
        https://launchpad.net/cairo-dock

OPTIONS
You can launch Cairo-Dock with several options :
(Note : you can use these options in one block. For example : cairo-dock -oia )

-c, --cairo
    force Cairo backend (Use this option if you have issue with the OpenGL mode. It removes the window at startup)

-o, --opengl
    force OpenGL backend (Cairo-Dock with OpenGL. It removes the window at startup)

-i, --indirect
    use Indirect Rendering mode for OpenGL

-l, --log [option]
    log verbosity (options : debug, message, warning, critical, error - default is 'warning')
    For example : cairo-dock -l debug

-w, --wait
    wait for N seconds before starting; this is useful if you notice some problems when the dock starts with the session.

-a, --keep-above
    force to keep the dock above other windows whatever

-p, --no-skip-pager
    show the dock in pager

-b, --no-skip-taskbar
    show the dock in taskbar

-s, --no-sticky
    don't make the dock appear on all desktops

-t, --toolbar-hint
    force the window manager to consider Cairo-Dock as a toolbar rather than as a dock

-n, --normal-hint
    force the window manager to consider Cairo-Dock as a normal application rather than as a dock

-e, --env
    force the dock to consider this environment (gnome, xfce, etc.) - it may crash the dock if not set properly.

-d, --dir
    force the dock to load the configuration in this directory (default is ~/.config/cairo-dock).

-m, --maintenance
    allow to edit the config before the dock is started and show the config panel on startup

-f, --safe-mode
    don't load any plug-ins and show the theme manager on startup

-M, --modules-dir
    ask the dock to load additional modules contained in this directory (though it is unsafe for your dock to load unofficial modules).

-T, --testing
    for debugging purpose only. The crash manager will not be started to hunt down the bugs.

-E, --easter-eggs
    for debugging purpose only. Some hidden and still unstable options will be activated.

-S, --server
    address of a server containing additional themes. This will overwrite the default server address.

-k, --locked
    lock the dock so that any modification is impossible for users.

OTHER
Some other options with an output in the terminal :

-v, --version
    print version and quit.

-h, --help
    Show the help and quit

-C, --capuccino

-X, --expresso

-L, --cafe-latte
    Cairo-Dock makes anything, including coffee !

FILES

~/.config/cairo-dock/
    Your config files are saved in this repertory. You can use '-d' option to change it.

/usr/share/cairo-dock/
    Data files for Cairo-Dock.

/usr/lib/cairo-dock/
    Binary files for Cairo-Dock and its plug-ins.

AUTHOR
Most of the Cairo-Dock project was written by Fabrice Rey (fabounet) <fabounet@users.berlios.de>.
The Cairo-Dock Team is formed by Fabounet (Fabrice Rey), Mav (Yann Sladek), Tofe (Christophe Chapuis), Nochka85 (Yann Dulieu), Matttbe (Matthieu Baerts) ChanGFu (Rémy Robertson), Paradoxxx Zero (Florian Mounier), Necropotame (Adrien Pilleboue), Rom1 (Romain Perol), Ctaf , Augur
 as well as numerous beta testers (ppmt, vilraleur, M.Tasaka, etc. see the 'About' menu in the dock) !

This manual page was started by Julien Lavergne <julien.lavergne@gmail.com>, for the Debian project (but may be used by others).
Updated by Matthieu Baerts (matttbe) <matttbe@gmail.com>.

BUGS
Your bug is maybe a recurrent problem (black background, window at startup (use -c or -o), problem with OpenGL, etc.). Please go to http://www.glx-dock.org/ww_page.php?p=Recurrents%20problems&lang=en

For any other bugs, you can post them on Cairo-Dock forum (http://forum.glx-dock.org)
or on Launchpad (https://bugs.launchpad.net/cairo-dock)

WEBSITE
< http://glx-dock.org >